Confirmations
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Initiate a 2FA procedure for an unauthorized client
Use this method to initiate a 2FA procedure for a client who isn't signed in to the Trader's Room. Initiating a new procedure revokes the previously issued, not yet confirmed confirmation tokens of the client for the same operation. The number of requests is limited per caller IP address and, separately, per email address.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/2fa/unauthorized/challenge" \ -H "Content-Type: application/json" \ -d '{ "businessProcess": "restorePassword", "email": "username@example.com" }'{ "token": "b2fcf999-2b0b-451d-9888-094a79117aa5", "provider": "email", "expiresAt": "2022-01-01T00:00:00+00:00"}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Access from this country is restricted", "details": { "ip": "203.0.113.42", "country": "RU" } }}{ "error": { "message": "Service Unavailable" }}